import os
import dotenv

dotenv.load_dotenv()

basedir = os.path.abspath(os.path.dirname(__file__))


class Config:
    SECRET_KEY = os.environ.get('SECRET_KEY', "5!kmnNoL5ABC")
    SQLALCHEMY_DATABASE_URI = os.environ.get("DATABASE_URI")\
    or "postgresql+psycopg://cv_database_user:cVdB-123@localhost:5432/cv_database"
    SQLALCHEMY_TRACK_MODIFICATIONS = False
    MAX_CONTENT_LENGTH = 1024 * 1024 * 10 # 10MB per request
    ADMIN_PWD = os.getenv("ADMIN_PWD", "admin-123") # admin password
    BOOTSTRAP=False
# end of Config class
